#include <iostream>
using namespace std;
main(){
	long N, K, i, Spil[20000], Trazena;
	cin >> N;
	cin >> K;
		
	// Unos karata:
	
	for (i=0;i<N;i++){
		
		cin >> Spil[i];
		}
	for(i=0;i<N;i++){
		// Provera da li je uneta karta koja ima vrednost K
		if(Spil[i] == K){
			
			// Nasli smo kartu! Imamo dve varijate:
			// Nalazi se na kraju:
			if (i==N-1){
				
				Trazena=Spil[0]; break;}
				// nalazi se odmah posle vidjene
			else {
				
				Trazena=Spil[i+1];
				//cout<<"Trazena je"<<Trazena<<endl;
				break;
			}
				
			
		}
		
	}
	cout<<Trazena<<endl;
	
	
}